std::__is_tuple_like_impl< std::pair< _T1, _T2 > > Struct Template Reference

`#include <utility>`

Inheritance diagram for std::__is_tuple_like_impl< std::pair< _T1, _T2 > >:
[legend]

## Public Types

typedef integral_constant< _Tp, __v > | type
typedef _Tp | value_type

## Public Member Functions

constexpr | operator value_type () const noexcept
constexpr value_type | operator() () const noexcept

## Static Public Attributes

static constexpr _Tp | value

## Detailed Description

template<typename _T1, typename _T2>
struct std::__is_tuple_like_impl< std::pair< _T1, _T2 > >

Partial specialization for std::pair.

Definition at line 148 of file utility.

## Member Typedef Documentation

## type

template<typename _Tp , _Tp __v>

typedef integral_constant<_Tp, __v> std::integral_constant< _Tp, __v >::type

inherited

Definition at line 61 of file type_traits.

## value_type

template<typename _Tp , _Tp __v>

typedef _Tp std::integral_constant< _Tp, __v >::value_type

inherited

Definition at line 60 of file type_traits.

## Member Function Documentation

## operator value_type()

template<typename _Tp , _Tp __v>

constexpr std::integral_constant< _Tp, __v >::operator value_type | ( |  | ) | const

inline constexpr noexcept inherited

Definition at line 62 of file type_traits.

## operator()()

template<typename _Tp , _Tp __v>

constexpr value_type std::integral_constant< _Tp, __v >::operator() | ( |  | ) | const

inline constexpr noexcept inherited

Definition at line 67 of file type_traits.

The documentation for this struct was generated from the following file:

- utility